package com.mist.utils;

/**
 * Projecte MIST
 * 
 * Treball de final de carrera. Enginyeria Tcnica en Informtica de Sistemes
 * Universitat Oberta de Catalunya
 * 
 * @Author Alejandro Garca Rodrguez
 * @version Android 1.6, 2.1, 2.2
 * 
 * @description Definici de les constants utilitzades al projecte
 */
public class Constants {

	//Constant per al LOG
	public static final String TAG = "Project MIST";
	
	//Variables estticas de definicin de la base de datos de filtros
	public static final String DATABASE_NAME 		= "filter.db";
	public static final int DATABASE_VERSION 		=  1;
	
	//Taula filter
	public static final String TABLE_NAME			= "filter";
	public static final String TABLE_FIELD_ID		= "_id";
	public static final String TABLE_FIELD_TYPE		= "type";
	public static final String TABLE_FIELD_NUM		= "num";
	
	
	//Taula llistat de bloquejats
	public static final String TABLE_NAME_LIST			= "list";
	public static final String TABLE_FIELD_ID_LIST		= "_id";
	public static final String TABLE_FIELD_TYPE_LIST	= "type";
	public static final String TABLE_FIELD_NUM_LIST		= "num";
	public static final String TABLE_FIELD_TIME_LIST	= "time";
	public static final String TABLE_FIELD_ACTION_LIST	= "action";
	//Tipus d'accions
	public static final String TABLE_FIELD_ACTION_BLOCK	= "Blocked";
	public static final String TABLE_FIELD_ACTION_PASS	= "Passed";
	
	//Constants del schema de la URI
	public static final String TYPE_SMS					= "sms";
	public static final String TYPE_TELF				= "telf";
	
	//Constants per les preferencies
	public static final String FILE_PREFS_NAME			= "mist_prefs";
	public static final String FILLED_DATABASE 			= "filled";
	public static final String FILTER_ACTIVATED			= "activated";
	
	//Array amb alguns filtres per defecte.
	//Aqu es podrien afegir ms nmeros que vole
	public static final int[] filterDefaultTelfs			= {123456789, 123456};
	public static final int[] filterDefaultSMS				= {987654321, 654321};
		
}
