package com.mist;
//Imports
import android.app.TabActivity;
import android.content.Intent;
import android.content.res.Resources;
import android.os.Bundle;
import android.widget.TabHost;

/**
 * Projecte MIST
 * 
 * Treball de final de carrera. Enginyeria Tcnica en Informtica de Sistemes
 * Universitat Oberta de Catalunya
 * 
 * @Author Alejandro Garca Rodrguez
 * @version Android 1.6, 2.1, 2.2
 * 
 * @description Activitat que gestiona les TABS
 */
public class FilterManagerTab extends TabActivity {
	
				
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.filter_manager);
        
        Resources res = getResources();
        TabHost tabHost = getTabHost(); 
        TabHost.TabSpec spec;  
        Intent intent;  
        
        //Creamos la Intent que ser lanzada en la TAB
        intent = new Intent().setClass(getApplicationContext(), AddFilterTab.class);

        
        spec = tabHost.newTabSpec("Adding").setIndicator("Adding",
                          res.getDrawable(R.drawable.ic_tab_add))
                      .setContent(intent);
        tabHost.addTab(spec);

        //Creamos la Intent que ser lanzada en la TAB
        intent = new Intent().setClass(getApplicationContext(), ListFilterTab.class);
        spec = tabHost.newTabSpec("List").setIndicator("List",
                          res.getDrawable(R.drawable.ic_tab_list))
                      .setContent(intent);
        tabHost.addTab(spec);

        
        tabHost.setCurrentTab(2);
    }
      
}